//po4a: entry man manual
= mountpoint(1)
:doctype: manpage
:man manual: User Commands
:man source: util-linux {release-version}
:page-layout: base
:command: mountpoint

== NAME

mountpoint - see if a directory or file is a mountpoint

== SYNOPSIS

*mountpoint* [*-d*|*-q*] _directory_|_file_

*mountpoint* *-x* _device_

== DESCRIPTION

*mountpoint* checks whether the given _directory_ or _file_ is mentioned in the _/proc/self/mountinfo_ file.

== OPTIONS

*-d*, *--fs-devno*::
Show the major/minor numbers of the device that is mounted on the given directory.

*-q*, *--quiet*::
Be quiet - don't print anything.

*--nofollow*::
Do not follow symbolic link if it the last element of the _directory_ path.

*-x*, *--devno*::
Show the major/minor numbers of the given blockdevice on standard output.

include::man-common/help-version.adoc[]

== EXIT STATUS

*mountpoint* has the following exit status values:

*0*::
success; the directory is a mountpoint, or device is block device on *--devno*

*1*::
failure; incorrect invocation, permissions or system error

*32*::
failure; the directory is not a mountpoint, or device is not a block device on *--devno*

== ENVIRONMENT

*LIBMOUNT_DEBUG*=all::
enables libmount debug output.

== NOTES

The util-linux *mountpoint* implementation was written from scratch for libmount. The original version for sysvinit suite was written by Miquel van Smoorenburg.

== AUTHORS

mailto:kzak@redhat.com[Karel Zak]

== SEE ALSO

*mount*(8)

include::man-common/bugreports.adoc[]

include::man-common/footer.adoc[]

ifdef::translation[]
include::man-common/translation.adoc[]
endif::[]
